#include <bits/stdc++.h>

using namespace std;

int main(void)
{
    int T;
    cin >> T;
    int resenje[T];
    int N, M;


    for(int I=0; I<T; ++I)
    {
        cin >> N >> M;
        int A[N], B[M];
        int R[N-1];

        for(int i=0; i<N; ++i)
            cin >> A[i];
        for(int i=0; i<M; ++i)
            cin >> B[i];

        sort(A, A+N);

        for(int i=0; i<N-1; ++i)
            R[i] = A[i+1] - A[i];

        sort(R, R+N-1);

        int x=R[0];

        int n=0;

        for(int i=0; i<M; ++i)
            if(B[i]>n)
                n=B[i];

        for(int i=A[0]; i<=n; i+=x)
            for(int j=0; j<M; ++j)
                if(i==B[j]){
                    resenje[I] = 0;
                    break;
                }
                else
                    resenje[I] = 1;

    }
    for(int I=0; I<T; ++I)
    {
        cout << resenje[I] << "\n";
    }
}